<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Form Aset</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
  <section class="section">
    <div class="section-header">
      <h1>Aset</h1>
      <div class="section-header-breadcrumb">
        <div class="breadcrumb-item active"><a href="#">asset</a></div>
        <div class="breadcrumb-item">list</div>
      </div>
    </div>
  </section>
  <div class="section-body">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-body">
            <form th:action="@{/asset/save}" method="post" enctype="multipart/form-data">
              <div class="form-group">
                <label>Nama Asset</label>
                <input type="text" class="form-control" required name="namaAset">
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label>Kategori Asset</label>
                    <select class="form-control select2" required name="asetJenis">
                      <option selected disabled>-- Select One --</option>
                      <option th:each="data, row:${asetCategory}"
                              th:text="${data.jenisAset}"
                              th:value="${data.id}"></option>
                    </select>
                  </div>
                  <div class="col-md-6">
                    <label>Ruangan Aset</label>
                    <select name="ruangan" required class="form-control select2">
                      <option value="">-- Select One --</option>
                      <option th:each="data, row:${roomList}"
                              th:text="${data.namaRuangan + ' (Gedung : ' + data.idGedung.namaGedung + ')'}"
                              th:value="${data.id}"></option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label>Asset Brand</label>
                <input type="text" class="form-control" name="merek">
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label>Total Asset</label>
                    <input type="number" required class="form-control" name="jumlah">
                  </div>
                  <div class="col-md-6">
                    <label>Harga Asset</label>
                    <input type="number" class="form-control" name="hargaAset">
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label>Kondisi Asset <span style="color: red; font-size: 12px;">(*Wajib diisi)</span></label>
                <select class="form-control" required name="kondisiAset">
                  <option value="" selected disabled>-- Select One --</option>
                  <option value="BAGUS">BAGUS</option>
                  <option value="LAYAK">LAYAK</option>
                  <option value="RUSAK_BISA_DIPERBAIKI">RUSAK BISA DIPERBAIKI</option>
                  <option value="RUSAK_TIDAK_BISA_DIPERBAIKI">RUSAK TIDAK BISA DIPERBAIKI</option>
                </select>
              </div>
              <div class="form-group">
                <label>Keterangan</label>
                <input type="text" class="form-control" name="keterangan">
              </div>
              <div class="form-group">
                <div class="row">
                  <div class="col-md-6">
                    <label>Tanggal Beli</label>
                    <input type="date" class="form-control" name="tanggalBeli">
                  </div>
                  <div class="col-md-6">
                    <label>Tahun Beli</label>
                    <input type="text" class="form-control" name="tahunBeli">
                  </div>
                </div>

              </div>
              <div class="form-group">
                <lable>Status Peminjaman</lable>
                <select name="statusPeminjaman" class="form-control" required>
                  <option value="" selected disabled>-- Pilih --</option>
                  <option value="BISA_DIPINJAM">Bisa di pinjam</option>
                  <option value="TIDAK_BISA_DIPINJAM">Tidak bisa di pinjam</option>
                </select>
              </div>
              <div class="form-group">
                <label>Upload Foto Aset</label>
                <input type="file" class="form-control" name="image">
              </div>
              <div class="form-group">
                <button class="btn btn-primary">Simpan</button>
                <a th:href="@{/masters/asset}" class="btn btn-danger">Kembali</a>
              </div>
            </form>

          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</body>
</html>